#!/bin/ksh

#
# build.sh - Timber Wolf Experiments project (Build/Development Tool)
#

#
# Include files
#
root_path="$(dirname "$0")"

# Include binaries
. $root_path/scripts/binaries.sh

# Include crates
. $root_path/scripts/crates.sh

#
# Function build
#
build()
{
    echo "Error - BUILD - 'build' is not implemented yet"
    exit 1
}

#
# Function help
#
help()
{
    cat << EOF
build.sh 0.1.0
Roel Sergeant <rsergeant@panix.com>
Timber Wolf Experiments - Build Script

USAGE:
    build.sh [FLAGS] [<CRATE>...|<BINARY>]

FLAGS:
    -b, --build     Build crates
    -r, --run       Run binary

OPTIONS:
    [CRATE]     Crate to build
    [BINARY]    Binary to execute

EOF

    exit 0
}

#
# Function run
#
run()
{
    echo "Error - BUILD - 'run' is not implemented yet"
    exit 1
}

#
# Main program
#

# Parse arguments
help
